Bug 1731386 - arandr depends on Python 2
Summary: arandr depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: arandr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frantisek Sumsal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-19 10:03 UTC by Lumír Balhar
Modified: 2019-08-27 06:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 06:20:37 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-07-19 10:03:03 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for arandr's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to arandr.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-19 10:04:29 UTC
It seems that the latest version 0.1.10 is compatible with Python 3 so the package can be updated and drop Python 2 support.

https://gitlab.com/arandr/arandr/commit/43faec00c0feca3f00b0acbae048de14f02c6d21

Comment 2 Lumír Balhar 2019-07-29 05:03:28 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Lumír Balhar 2019-08-06 06:09:51 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Ben Cotton 2019-08-13 16:47:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Lumír Balhar 2019-08-14 08:14:47 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 6 Miro Hrončok 2019-08-26 11:57:56 UTC
See also https://pagure.io/releng/issue/8686

Comment 7 Lumír Balhar 2019-08-27 06:20:37 UTC
I can confirm that the latest build of arandr (arandr-0.1.10-1.fc32) does not depend on Python 2.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.